/* grid-contenedor-contenido */

@supports(display: grid ) {

  .grid-contenedor-contenido {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: "contenedor-buscador-index"
						 "informacion-modulos"
                         "navegacion-modulos"
                         "seleccion-modulo-auxiliar"
                         "navegacion-modulos-auxiliar";
	gap: 30px;
  }

  .informacion-modulos {
	  grid-area: informacion-modulos;
  }

  .contenedor-buscador-index {
    grid-area: contenedor-buscador-index;
  }

  .seleccion-modulo-auxiliar {
    grid-area: seleccion-modulo-auxiliar;
  }

  .navegacion-modulos {
    grid-area: navegacion-modulos;
  }

  .navegacion-modulos-auxiliar {
    grid-area: navegacion-modulos-auxiliar;
  }

}

/* -> grid-contenedor-contenido */


/* grid-contenedor-navegacion-modulos */
/* grid-contenedor-navegacion-modulos-auxiliar */

@supports(display: grid ) {

  .grid-contenedor-navegacion-modulos,
  .grid-contenedor-navegacion-modulos-auxiliar {
    display: grid;
    grid-template-columns: minmax(100px, 322px); /* minmax(100px, 250px) */
    grid-gap: 40px;
    grid-auto-flow: row;
	justify-content: center;
  }

  @media screen and (min-width: 889px) {
    .grid-contenedor-navegacion-modulos,
    .grid-contenedor-navegacion-modulos-auxiliar {
      grid-template-columns: repeat(2, minmax(100px, 322px)); /* minmax(100px, 250px) */
    }
  }

  @media screen and (min-width: 1200px) {
    .grid-contenedor-navegacion-modulos,
    .grid-contenedor-navegacion-modulos-auxiliar {
      grid-template-columns: repeat(3, minmax(100px, 322px)); /* minmax(100px, 250px) */
    }
  }
}

/* -> grid-contenedor-navegacion-modulos-auxiliar */

/* -> grid-contenedor-navegacion-modulos */


/* grid-contenedor-modulo */

@supports(display: grid ) {

  .grid-contenedor-modulo {
    display: grid;
    grid-gap: 12px;
    grid-template-columns: 1fr;
    grid-template-areas: "imagen-modulo"
                         "titulo-modulo"
                         "descripcion-modulo";
  }

  .imagen-modulo {
    grid-area: imagen-modulo;
  }

  .titulo-modulo {
    grid-area: titulo-modulo;
  }

  .descripcion-modulo {
    grid-area: descripcion-modulo;
  }

}

/* -> grid-contenedor-modulo */

/* -> grid-contenedor-panel-casilla-busqueda-index */


/* grid-contenedor-panel-casilla-botones-index */

@supports(display: grid ) {

  .grid-contenedor-panel-casilla-botones-index {
    display: grid;
    grid-template-columns: 1fr 0px;
    grid-template-areas: "input-casilla-busqueda-index boton-buscar-texto-index";
    grid-row-gap: 0;
  }

  @media screen and (min-width: 768px) {

    .grid-contenedor-panel-casilla-botones-index {
      grid-template-columns: 1fr 0px; /* No se asigna margen a la derecha */
      grid-template-areas: "input-casilla-busqueda-index boton-buscar-texto-index";
    }

  }

  .input-casilla-busqueda-index {
    grid-area: input-casilla-busqueda-index;
  }

  .boton-buscar-texto-index {
    grid-area: boton-buscar-texto-index;
  }
}

/* -> grid-contenedor-panel-casilla-botones-index */


/* grid-contenedor-panel-terminos-sugeridos-index */

@supports(display: grid ) {

  .grid-contenedor-panel-terminos-sugeridos-index {
    display: grid;
    grid-template-columns: auto;
    grid-template-areas: "titulo-terminos-sugeridos-index"
                         "terminos-sugeridos-index";
  }

  .titulo-terminos-sugeridos-index {
    grid-area: titulo-terminos-sugeridos-index;
  }

  .terminos-sugeridos-index {
    grid-area: terminos-sugeridos-index;
  }

}

/* -> grid-contenedor-panel-terminos-sugeridos-index */


/* grid-contenedor-terminos-sugeridos-index */

@supports(display: grid ) {

  .grid-contenedor-terminos-sugeridos-index {
    display: grid;
    grid-template-columns: auto;
  }

}

/* -> grid-contenedor-terminos-sugeridos-index */


/* grid-contenedor-documentos-sugeridos-index */

@supports(display: grid ) {

  .grid-contenedor-documentos-sugeridos-index {
    display: grid;
    grid-template-columns: auto;
  }

}

/* -> grid-contenedor-documentos-sugeridos-index */


/* grid-contenedor-item-documentos-sugeridos-index */

@supports(display: grid ) {

  .grid-contenedor-item-documentos-sugeridos-index {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: auto;
    grid-template-areas: "texto-item-documentos-sugeridos-index";
  }

  @media screen and (min-width: 576px) {

    .grid-contenedor-item-documentos-sugeridos-index {
      grid-template-columns: auto 145px; /* 10px de márgenes izquierdo y derecho del texto del botón + 23px de margen derecho del botón + aproximadamente 75px de ancho del texto con el tamaño original + un margen cuando se aumenta el tamaño del texto */
      grid-template-areas: "texto-item-documentos-sugeridos-index boton-abrir-documento-index";
    }
  }

  .texto-item-documentos-sugeridos-index {
    grid-area: texto-item-documentos-sugeridos-index;
  }

  .boton-abrir-documento-index {
    grid-area: boton-abrir-documento-index;
  }

}

/* -> grid-contenedor-item-documentos-sugeridos-index */



/* Footer-contenedor */

@media screen and (max-width: 895px){
    .franja-informacion {
        width: auto;
    }

    .contenedor-institucional-footer {
        margin-left: -70px; 
    }

    .contacto-footer {
        margin-left: -165px;
    }

    .columns-footer {
        margin-left: -160px;
        font-size: 15px;
        padding: 63px;
    }
}

/* -> Footer-contenedor */